package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemCourseTerminologyListBindingImpl extends ItemCourseTerminologyListBinding implements com.toughra.ustadmobile.generated.callback.OnSelectionStateChangedListener.Listener, com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final com.ustadmobile.port.android.view.binding.OnSelectionStateChangedListener mCallback142;
    @Nullable
    private final android.view.View.OnClickListener mCallback143;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemCourseTerminologyListBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 2, sIncludes, sViewsWithIds));
    }
    private ItemCourseTerminologyListBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.TextView) bindings[1]
            );
        this.courseTerminologyTitle.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback142 = new com.toughra.ustadmobile.generated.callback.OnSelectionStateChangedListener(this, 1);
        mCallback143 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x8L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.itemListener == variableId) {
            setItemListener((com.ustadmobile.core.controller.CourseTerminologyListItemListener) variable);
        }
        else if (BR.selectablePagedListAdapter == variableId) {
            setSelectablePagedListAdapter((com.ustadmobile.port.android.view.CourseTerminologyListRecyclerAdapter) variable);
        }
        else if (BR.courseTerminology == variableId) {
            setCourseTerminology((com.ustadmobile.lib.db.entities.CourseTerminology) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setItemListener(@Nullable com.ustadmobile.core.controller.CourseTerminologyListItemListener ItemListener) {
        this.mItemListener = ItemListener;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.itemListener);
        super.requestRebind();
    }
    public void setSelectablePagedListAdapter(@Nullable com.ustadmobile.port.android.view.CourseTerminologyListRecyclerAdapter SelectablePagedListAdapter) {
        this.mSelectablePagedListAdapter = SelectablePagedListAdapter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.selectablePagedListAdapter);
        super.requestRebind();
    }
    public void setCourseTerminology(@Nullable com.ustadmobile.lib.db.entities.CourseTerminology CourseTerminology) {
        this.mCourseTerminology = CourseTerminology;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.courseTerminology);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.core.controller.CourseTerminologyListItemListener itemListener = mItemListener;
        com.ustadmobile.port.android.view.CourseTerminologyListRecyclerAdapter selectablePagedListAdapter = mSelectablePagedListAdapter;
        com.ustadmobile.lib.db.entities.CourseTerminology courseTerminology = mCourseTerminology;
        java.lang.String courseTerminologyCtTitle = null;

        if ((dirtyFlags & 0xaL) != 0) {
        }
        if ((dirtyFlags & 0xcL) != 0) {



                if (courseTerminology != null) {
                    // read courseTerminology.ctTitle
                    courseTerminologyCtTitle = courseTerminology.getCtTitle();
                }
        }
        // batch finished
        if ((dirtyFlags & 0xcL) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.courseTerminologyTitle, courseTerminologyCtTitle);
        }
        if ((dirtyFlags & 0xaL) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setSelectableViewHelper(this.mboundView0, selectablePagedListAdapter, mCallback143, mCallback142);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnSelectionStateChanged(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // selectablePagedListAdapter != null
        boolean selectablePagedListAdapterJavaLangObjectNull = false;
        // selectablePagedListAdapter
        com.ustadmobile.port.android.view.CourseTerminologyListRecyclerAdapter selectablePagedListAdapter = mSelectablePagedListAdapter;
        // courseTerminology
        com.ustadmobile.lib.db.entities.CourseTerminology courseTerminology = mCourseTerminology;



        selectablePagedListAdapterJavaLangObjectNull = (selectablePagedListAdapter) != (null);
        if (selectablePagedListAdapterJavaLangObjectNull) {




            selectablePagedListAdapter.onItemSelectedChanged(callbackArg_0, courseTerminology);
        }
    }
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // itemListener
        com.ustadmobile.core.controller.CourseTerminologyListItemListener itemListener = mItemListener;
        // itemListener != null
        boolean itemListenerJavaLangObjectNull = false;
        // courseTerminology
        com.ustadmobile.lib.db.entities.CourseTerminology courseTerminology = mCourseTerminology;



        itemListenerJavaLangObjectNull = (itemListener) != (null);
        if (itemListenerJavaLangObjectNull) {



            itemListener.onClickCourseTerminology(courseTerminology);
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): itemListener
        flag 1 (0x2L): selectablePagedListAdapter
        flag 2 (0x3L): courseTerminology
        flag 3 (0x4L): null
    flag mapping end*/
    //end
}